import * as queryString from './query-string';
import {isUndef, isEmptyObject, isObject} from 'utils-is';

export const parse = (url) => {
    if (isUndef(url)) {
        url = window.location.href;
    }
    const a =  document.createElement('a');
    a.href = url;

    const search = a.search.replace(/^\?/, '');
    return {
        href: url,
        // protocol: a.protocol.replace(':',''),
        // port: a.port,
        // hostname: a.hostname,
        // pathname: a.pathname.replace(/^([^\/])/,'/$1'),
        search,
        query: queryString.parse(search),
        hash: a.hash.replace('#', '')
    };
}

/**
 * 拼接url和query参数
 * @param {String} url
 * @param {Object} data
 * @return {String}
 */
export const append = (url, data) => {
    if (isObject(data) && !isEmptyObject(data)) {
        return url + '?' + queryString.stringify(data);
    }
    return url;
}
