# url

url 解析模块

# 安装

```
yarn add utils-url
```

# 使用

```Javascript
import * as url from 'utils-url';

const urlObj = url.parse('http://xxx/'); // 解析url

const urlString = url.append('http://xxx/' , {foo: 'bar'}); // 拼接url和query参数
```

```Javascript
// 使用query-string子模块
import * as queryString from 'utils-url/query-string';

const urlObj = queryString.parse('foo=bar&search=123');

const urlString = queryString.stringify({foo: 'bar', search: 123});
```

# API

### url.parse(urlString)

The url.parse() method takes a URL string, parses it, and returns a URL object.

### url.append(url, queryObj)

拼接url和query参数

### urlObj 字段格式

| 属性     |描述   |
|----     | ---- |
| href    |  完整的URL路径，如： http://user:pass@host.com:8080/p/a/t/h?query=string#hash |
| hash    | 包括#字符串, 如: #hash |
| search | 包括?字符串, 如：?query=string  |
| query | Object对象，会调用queryString.parse方法解析search部分，如：{"query": "string"} |
