import {expect} from 'chai';
import * as url from '../index';

describe("url解析模块测试", () => {
    it('url.append is OK', () => {
        const ret = url.append('http://www.test.com', {});
        const ret1 = url.append('http://www.test.com', {
            foo: 'bar',
            lang: '中文'
        });
        expect(ret).to.be.equal('http://www.test.com')
        expect(ret1).to.be.equal('http://www.test.com?foo=bar&lang=%E4%B8%AD%E6%96%87')
    });

    it('url.parse is OK', () => {
        const fullhref = 'http://user:pass@sub.host.com:8080/p/a/t/h?query=string#hash';
        const obj = url.parse(fullhref);
        expect(obj.hash).to.be.equal('hash');
        expect(obj.search).to.be.equal('query=string');
        expect(obj.href).to.be.equal(fullhref);
        // expect(obj.protocol).to.be.equal('http');
        // expect(obj.hostname).to.be.equal('sub.host.com');
        // expect(obj.port).to.be.equal('8080');
        expect(obj.query).to.have.property('query').and.equal('string');
    });
});
